Package org.zkoss.zk.ui.ext

## Enum Uploadable.Error

- java.lang.Object
- - java.lang.Enum<Uploadable.Error>
  - - org.zkoss.zk.ui.ext.Uploadable.Error

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Uploadable.Error>`
  Enclosing interface:
    Uploadable

      public static enum Uploadable.Error
      extends java.lang.Enum<Uploadable.Error>

  Uploading error constants.
  Since:
    9.5.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ILLEGAL_UPLOAD` | (illegal-upload) Illegal upload method.
    `MISSING_REQUIRED_COMPONENT` | (missing-required-component) Missing required component or data.
    `SERVER_EXCEPTION` | (server-exception) Other server exceptions handled by `handleError(ex)`.
    `SERVER_OUT_OF_SERVICE` | (server-out-of-service) Server temporarily out of service.
    `SIZE_LIMIT_EXCEEDED` | (size-limit-exceeded) Upload file size exceeds max-size.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |
    `static Uploadable.Error` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Uploadable.Error[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MISSING_REQUIRED_COMPONENT

          public static final Uploadable.Error MISSING_REQUIRED_COMPONENT

      (missing-required-component) Missing required component or data.

    - #### ILLEGAL_UPLOAD

          public static final Uploadable.Error ILLEGAL_UPLOAD

      (illegal-upload) Illegal upload method.

    - #### SERVER_OUT_OF_SERVICE

          public static final Uploadable.Error SERVER_OUT_OF_SERVICE

      (server-out-of-service) Server temporarily out of service.

    - #### SIZE_LIMIT_EXCEEDED

          public static final Uploadable.Error SIZE_LIMIT_EXCEEDED

      (size-limit-exceeded) Upload file size exceeds max-size.

    - #### SERVER_EXCEPTION

          public static final Uploadable.Error SERVER_EXCEPTION

      (server-exception) Other server exceptions handled by `handleError(ex)`.

  - ### Method Detail

    - #### values

          public static Uploadable.Error[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Uploadable.Error c : Uploadable.Error.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Uploadable.Error valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Uploadable.Error>`